ormolu-0.1.2.0: A formatter for Haskell source code

Safe Haskell | None
Language | Haskell2010

Ormolu.Printer.Meat.Module

Description

Rendering of modules.

Synopsis

- p_hsModule :: Maybe (RealLocated Comment) -> [Shebang] -> [([RealLocated Comment], Pragma)] -> Bool -> HsModule GhcPs -> R ()

# Documentation

p_hsModule Source #

Arguments

:: Maybe (RealLocated Comment) | Stack header
-> [Shebang] | Shebangs
-> [([RealLocated Comment], Pragma)] | Pragmas and the associated comments
-> Bool | Whether to use postfix qualified imports
-> HsModule GhcPs | AST to print
-> R () |

Render a module.